SNMPTRANSLATE(1)

NAME
snmptranslate - translate SNMP objects into more useful information

SYNOPSIS
snmptranslate [-h] [-V] [-D <TOKEN[,TOKEN,...]>] [-I <INOPTS>] [-O <OUTOPTS>] [-P <MIBOPTS>] [-T <TRANSOPTS>] [-m <mibs>] [-M <mibdirs>] objectID

DESCRIPTION
Snmptranslate is an application that translates an SNMP object (SMI value or symbolic form) into another form of information. With no other options, an SNMP object will be translated to its SMI value.

The options have the following meanings:

-h  Print help message

-V  Print version message and exit

-D <TOKEN[,TOKEN,...]>
    Enable debugging output. See the snmpcmd man page for more information.

-I <INOPTS>
    See the snmpcmd man page for a description of the OID input options

-O <OUTOPTS>
    See the snmpcmd man page for a description of the OID output options

-P <MIBOPTS>
    See the snmpcmd man page for a description of the MIB parsing options

-T <TRANSOPTS>
    Translate an SNMP object to its symbolic form. The following TRANSOPTS are available:

-Td print full details of the specified OID

-Tp print a graphical tree, rooted at the specified OID

-Ta dump the loaded MIB in a trivial form

-Tl dump a labeled form of all objects

-To dump a numeric form of all objects

-Ts dump a symbolic form of all objects

-Tt dump a tree form of the loaded mibs (mostly useful for debugging)

-w width
    specify width of -Tp and -Td output. Default is very large

EXAMPLES

snmptranslate -On -IR sysDescr

will translate "sysDescr" to a more qualified form:

system.sysDescr

snmptranslate -Onf -IR sysDescr

will translate "sysDecr" to

 .iso.org.dod.internet.mgmt.mib-2.system.sysDescr

snmptranslate -Td -OS system.sysDescr

will translate "sysDecr" into

SNMPv2-MIB::sysDescr
sysDescr OBJECT-TYPE
  -- FROM SNMPv2-MIB
  -- TEXTUAL CONVENTION DisplayString
  SYNTAX OCTET STRING
  DISPLAY-HINT "255a"
  MAX-ACCESS read-only
  STATUS current
  DESCRIPTION "A textual description of the entity. This value should
	include the full name and version identification of the
	system's hardware type, software operating-system, and
	networking software."
::= { iso(1) org(3) dod(6) internet(1) mgmt(2) mib-2(1) system(1) 1 }

snmptranslate -Tp -OS system

will print the following tree:

+--system(1)
   |
   +-- -R-- String    sysDescr(1)
   |        Textual Convention: DisplayString
   |        Size: 0..255
   +-- -R-- ObjID     sysObjectID(2)
   +-- -R-- TimeTicks sysUpTime(3)
   +-- -RW- String    sysContact(4)
   |        Textual Convention: DisplayString
   |        Size: 0..255
   +-- -RW- String    sysName(5)
   |        Textual Convention: DisplayString
   |        Size: 0..255
   +-- -RW- String    sysLocation(6)
   |        Textual Convention: DisplayString
   |        Size: 0..255
   +-- -R-- Integer   sysServices(7)
   +-- -R-- TimeTicks sysORLastChange(8)
   |        Textual Convention: TimeStamp
   |
   +--sysORTable(9)
      |
      +--sysOREntry(1)
         |
         +-- ---- Integer   sysORIndex(1)
         +-- -R-- ObjID     sysORID(2)
         +-- -R-- String    sysORDescr(3)
         |        Textual Convention: DisplayString
         |        Size: 0..255
         +-- -R-- TimeTicks sysORUpTime(4)
                  Textual Convention: TimeStamp

snmptranslate -Ta | head

will produce the following dump:

dump DEFINITIONS ::= BEGIN
org ::= { iso 3 }
dod ::= { org 6 }
internet ::= { dod 1 }
directory ::= { internet 1 }
mgmt ::= { internet 2 }
experimental ::= { internet 3 }
private ::= { internet 4 }
security ::= { internet 5 }
snmpV2 ::= { internet 6 }

snmptranslate -Tl | head

will produce the following dump:

 .iso(1).org(3)
 .iso(1).org(3).dod(6)
 .iso(1).org(3).dod(6).internet(1)
 .iso(1).org(3).dod(6).internet(1).directory(1)
 .iso(1).org(3).dod(6).internet(1).mgmt(2)
 .iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1)
 .iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).system(1)
 .iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).system(1).sysDescr(1)
 .iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).system(1).sysObjectID(2)
 .iso(1).org(3).dod(6).internet(1).mgmt(2).mib-2(1).system(1).sysUpTime(3)

snmptranslate -To | head

will produce the following dump

 .1.3
 .1.3.6
 .1.3.6.1
 .1.3.6.1.1
 .1.3.6.1.2
 .1.3.6.1.2.1
 .1.3.6.1.2.1.1
 .1.3.6.1.2.1.1.1
 .1.3.6.1.2.1.1.2
 .1.3.6.1.2.1.1.3

snmptranslate -Ts | head

will produce the following dump

 .iso.org
 .iso.org.dod
 .iso.org.dod.internet
 .iso.org.dod.internet.directory
 .iso.org.dod.internet.mgmt
 .iso.org.dod.internet.mgmt.mib-2
 .iso.org.dod.internet.mgmt.mib-2.system
 .iso.org.dod.internet.mgmt.mib-2.system.sysDescr
 .iso.org.dod.internet.mgmt.mib-2.system.sysObjectID
 .iso.org.dod.internet.mgmt.mib-2.system.sysUpTime

snmptranslate -Tt | head

will produce the following dump

  org(3) type=0
    dod(6) type=0
      internet(1) type=0
        directory(1) type=0
        mgmt(2) type=0
          mib-2(1) type=0
            system(1) type=0
              sysDescr(1) type=2 tc=0 hint=255a
              sysObjectID(2) type=1
              sysUpTime(3) type=8

SEE ALSO
snmpcmd(1), variables(5), RFC 2578-2580.